#ifndef __CyberDevice_PortServiceInfo_Impl_h__
#define __CyberDevice_PortServiceInfo_Impl_h__

#include "DynamicServiceSkel.h"

namespace CyberDevice
{
	// fwd declare
	class DynamicPortReceiver;

	/// Implementation class for "PortServiceInfo" service defined in DynamicService.idl
	class PortServiceInfoImpl : public POA_VirCA_RTService::Tester::PortServiceInfo
	{
	public:
		PortServiceInfoImpl(DynamicPortReceiver *_ctrl) : mpCtrler(_ctrl) {}
		~PortServiceInfoImpl() {}

		RTC::PortService_ptr getPortInfo(const char* name);
		void addCustomProvider(const char* name);

	private:
		DynamicPortReceiver *mpCtrler;
	};
}



#endif