#ifndef __CyberDevice_CustomDynamicService_Impl_h__
#define __CyberDevice_CustomDynamicService_Impl_h__

#include "DynamicServiceSkel.h"

namespace CyberDevice
{
	// fwd declare
	class DynamicPortReceiver;

	/// Implementation class for "CustomDynamicService" service defined in DynamicService.idl
	class CustomDynamicServiceImpl : public POA_VirCA_RTService::Tester::CustomDynamicService
	{
	public:
		CustomDynamicServiceImpl(DynamicPortReceiver *_ctrl) : mpCtrl(_ctrl)
		{}
		~CustomDynamicServiceImpl() {}

		void notify_function_called();

	private:
		DynamicPortReceiver* mpCtrl;
	};
}

#endif
